please choosego to mobile | Continue to access the PC version
View: 8040|Reply: 6

Issues with OpenGLES2&Mali driver (hw accel.)

[Copy link]

2

threads

21

posts

86

credits

Registered member

Rank: 2

credits
86
Published in 2015-11-18 09:58:34 | Show all floors |Read mode
Hi guys,
I am using loboris's Lubuntu image in a OPI2 board.
Mali modules (r4p0) can be installed w/o any issues by:
modprobe ump
modprobe drm
modprobe mali
modprobe mali_drm

I uninstalled mesa stuff and I installed user-space r4p0 mali binary driver using this repo: github.com/WhiteWind/sunxi-mali
I installed xf86-video-fbturbo using github.com/ssvb/xf86-video-fbturbo/tree/master (Xorg.0.log confirms that the driver is loaded with success).

Unfortunately glmark2-es2 fails:
eglInitialize() failed with error 0x3003
eglInitialize() failed with error 0x3003
main: Could not inizialize canvas

Has somebody suceeded to use hardware accel. within X11 using openGLES2 and mali driver ?
Please help! thanks

2

threads

21

posts

86

credits

Registered member

Rank: 2

credits
86
 Author| Published in 2015-11-21 07:47:38 | Show all floors
I solved my issue by disabling GLX/AIGLX (e.g. Open GL) in my X11 configuration:
In /etc/X11/xorg.conf
Section "Device"
        Identifier      "Allwinner A10/A13 FBDEV"
        Driver          "fbturbo"
        Option          "fbdev" "/dev/fb0"

        Option          "SwapbuffersWait" "true"
EndSection

Section "Screen"
         Identifier      "My Screen"
         Device          "fbturbo device"
         Monitor         "My Monitor"
EndSection

Section "DRI"
        Mode 0666
EndSection

Section "Serverflags"
        Option  "AIGLX" "false"
EndSection

Section "Module"
        Disable "glx"
EndSection

0

threads

13

posts

136

credits

Registered member

Rank: 2

credits
136
Published in 2015-11-24 11:59:19 | Show all floors
still Error

This thread contains more resources

You need to Log in to download or view,No account?    Register

x

0

threads

32

posts

328

credits

Intermediate member

Rank: 3Rank: 3

credits
328
Published in 2015-11-25 01:26:53 from mobile | Show all floors
Do not run as root. And check your fex file for mali section

0

threads

13

posts

136

credits

Registered member

Rank: 2

credits
136
Published in 2015-11-25 14:41:59 | Show all floors
whitewind replied at 2015-11-25 01:26
Do not run as root. And check your fex file for mali section

Do those as what you said , but still Error now   


This thread contains more resources

You need to Log in to download or view,No account?    Register

x

0

threads

32

posts

328

credits

Intermediate member

Rank: 3Rank: 3

credits
328
Published in 2015-11-25 23:52:16 | Show all floors
renpeng009 replied at 2015-11-25 14:41
Do those as what you said , but still Error now

Make sure that these files have the same m5d
        libEGL.so
        libEGL.so.1
        libEGL.so.1.4
        libGLESv1_CM.so
        libGLESv1_CM.so.1
        libGLESv1_CM.so.1.1
        libGLESv2.so
        libGLESv2.so.2
        libGLESv2.so.2.0
        libMali.so
Make sure that you run glmark under X session
Post output of these commands:
  1. whereis libEGL.so
  2. ldd /usr/bin/glmark2-es2
Copy code
Post your script.fex

0

threads

2

posts

26

credits

Novice

Rank: 1

credits
26
Published in 2015-12-20 00:32:04 | Show all floors
I got the same error when I tried to run it without loading the kernel driver. lsmod should show "mali.ko" otherwise try: "modprobe mali.ko" or "insmod mali.ko"
You need to log in before you can reply login | Register

Points Rule

Quick reply Top Return list